MiniMyth for MythTV 0.19

Announce/Discuss projects you are working on for MiniMyth

Moderator: Pablo

Alfi
Member
Posts: 18
Joined: Tue Mar 29, 2005 7:29 pm
Location: Denmark

Post by Alfi »

Pablo Any ideas to my problem ?? it build a straight 0.19 100% okay

Regards Mark
juski
Contributor
Posts: 127
Joined: Sun Jun 26, 2005 10:14 pm
Location: Manchester, UK

Post by juski »

Pablo wrote:
juski wrote:Will this beta3 minimyth work with a straight 0.19 backend? I suspect not.
I am not sure what you mean?

The beta refers to the fact that the MiniMyth version is a beta, not that the Myth version is a beta. In know of no reason why it should not work.

As of yesterday, my backend is running MythTV 0.19 using the RPMS from atrpms.net. I am running the MiniMyth 0.19beta3 backend without any problems.
I might take it for a spin this weekend then. I just had initial concerns incase the fixes branch of mythtv has changed protocol/DB schema since the 0.19 release.

Thanks
The words 'digital' and 'quality' are not synonymous
csnell
New Member
Posts: 2
Joined: Mon Jan 30, 2006 11:34 pm
Location: Sydney, Australia

Overscan not working on minimyth 0.19 and sp13000

Post by csnell »

After inadvertently upgrading my backend to mythtv 0.19 I was pleasantly surprised to find the 0.19 version of minimyth so easy to install and it has been quite stable for me so far.

I am especially impressed with the power saving features using cpuspeed - my unit does not get anywhere near as hot as it used to.

Anyway, there is just one annoyance for me at this stage - it does not overscan anymore. Have I made a silly configuration error, or is this a fact of life when you are a 'beta' tested ?
Pablo
Site Admin
Posts: 4182
Joined: Tue Dec 14, 2004 2:13 am
Location: La Jolla
Contact:

Post by Pablo »

Alfi wrote:I'm trying to build gar-minimyth version 0.19beta3 with svn 9050, but i'm getting the following error

Code: Select all

i586-minimyth-linux-gnu-g++ -c -I/mnt/hdb/minimyth/gar-minimyth/images/main//usr/include/mysql -L/mnt/hdb/minimyth/gar-minimyth/images/main//usr/lib/mysql -march=pentium-mmx -march=pentium-mmx -pipe -Os -fomit-frame-pointer -ffast-math -Wall -W -O3 -Wall -Wno-switch -march=pentium-mmx -pipe -Os -fomit-frame-pointer -ffast-math -fomit-frame-pointer -I/mnt/hdb/minimyth/gar-minimyth/images/main///usr/include/freetype2 -D_REENTRANT -DPIC -fPIC  -DMMX -Di386 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DPREFIX="//usr" -DLIBDIR="//usr/lib" -D_LARGEFILE_SOURCE -DUSING_OPENGL_VSYNC -DUSING_XV -DUSING_XVMC -DUSING_XVMCW -DUSING_XVMC_VLD -DUSING_FRONTEND -DUSING_BACKEND -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -I/mnt/hdb/minimyth/gar-minimyth/images/main/usr/lib/qt/mkspecs/default -I. -I../../../../../../../../images/main/usr/include -I../../../../../../../../images/main/usr/include -I../.. -I.. -I../libmyth -I../libavcodec -I../libavutil -I../libmythmpeg2 -Idvbdev -Impeg -I../../../../../../../../images/main/usr/include -I../../../../../../../../images/main/usr/lib/qt/include -I../../../../../../../../images/main/usr/include -I../../../../../../../../images/main/usr/include -o tv_play.o tv_play.cpp
In file included from tv_play.cpp:18:
osdtypeteletext.h:90: error: using-declaration for non-member at class scope
osdtypeteletext.h:90: error: expected `;' before '<' token
osdtypeteletext.h:101: error: using-declaration for non-member at class scope
osdtypeteletext.h:101: error: expected `;' before '<' token
make[7]: *** [tv_play.o] Error 1
Any ideas

Regards Alfi
Are you building 9050 or 9056?
Pablo
Site Admin
Posts: 4182
Joined: Tue Dec 14, 2004 2:13 am
Location: La Jolla
Contact:

Re: Overscan not working on minimyth 0.19 and sp13000

Post by Pablo »

csnell wrote:After inadvertently upgrading my backend to mythtv 0.19 I was pleasantly surprised to find the 0.19 version of minimyth so easy to install and it has been quite stable for me so far.

I am especially impressed with the power saving features using cpuspeed - my unit does not get anywhere near as hot as it used to.

Anyway, there is just one annoyance for me at this stage - it does not overscan anymore. Have I made a silly configuration error, or is this a fact of life when you are a 'beta' tested ?
How exactly are you setting the overscan? It may be that overscan has changed or been broken in the newer OpenChrome drivers.
Alfi
Member
Posts: 18
Joined: Tue Mar 29, 2005 7:29 pm
Location: Denmark

Post by Alfi »

Pablo wrote:
Alfi wrote:I'm trying to build gar-minimyth version 0.19beta3 with svn 9050, but i'm getting the following error

Code: Select all

i586-minimyth-linux-gnu-g++ -c -I/mnt/hdb/minimyth/gar-minimyth/images/main//usr/include/mysql -L/mnt/hdb/minimyth/gar-minimyth/images/main//usr/lib/mysql -march=pentium-mmx -march=pentium-mmx -pipe -Os -fomit-frame-pointer -ffast-math -Wall -W -O3 -Wall -Wno-switch -march=pentium-mmx -pipe -Os -fomit-frame-pointer -ffast-math -fomit-frame-pointer -I/mnt/hdb/minimyth/gar-minimyth/images/main///usr/include/freetype2 -D_REENTRANT -DPIC -fPIC  -DMMX -Di386 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DPREFIX="//usr" -DLIBDIR="//usr/lib" -D_LARGEFILE_SOURCE -DUSING_OPENGL_VSYNC -DUSING_XV -DUSING_XVMC -DUSING_XVMCW -DUSING_XVMC_VLD -DUSING_FRONTEND -DUSING_BACKEND -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -I/mnt/hdb/minimyth/gar-minimyth/images/main/usr/lib/qt/mkspecs/default -I. -I../../../../../../../../images/main/usr/include -I../../../../../../../../images/main/usr/include -I../.. -I.. -I../libmyth -I../libavcodec -I../libavutil -I../libmythmpeg2 -Idvbdev -Impeg -I../../../../../../../../images/main/usr/include -I../../../../../../../../images/main/usr/lib/qt/include -I../../../../../../../../images/main/usr/include -I../../../../../../../../images/main/usr/include -o tv_play.o tv_play.cpp
In file included from tv_play.cpp:18:
osdtypeteletext.h:90: error: using-declaration for non-member at class scope
osdtypeteletext.h:90: error: expected `;' before '<' token
osdtypeteletext.h:101: error: using-declaration for non-member at class scope
osdtypeteletext.h:101: error: expected `;' before '<' token
make[7]: *** [tv_play.o] Error 1
Any ideas

Regards Alfi
Are you building 9050 or 9056?
I am trying 9050
It is to include the DVB teletext patch
monkeyBox
Member
Posts: 48
Joined: Sat Sep 06, 2003 6:22 am
Location: Kansas, USA

LIRC won't work!

Post by monkeyBox »

I just upgraded, and now my remote won't work. I set the following settingsw in minimyth.conf:

Code: Select all

MM_LIRC_DRIVER=serial
MM_LIRC_DEVICE=/dev/lirc0
MM_LIRC_KERNEL_MODULE=lirc_serial
MM_LIRC_KERNEL_OPTIONS="irq=3 io=0x3f8"
MM_LIRC_IREXEC_ENABLED=yes
My IR reciever is homebrew on COM2. When I run irw from telnet, I don't get anything. Then, if I remove and reload the lirc_serial module with the correct options, irw begins to work and shows the correct buttons from /etc/lircd.conf, however I still cannot control mythtv w/ my remote at that point.

Can anyone give some insight as to what's going on here?
monkeyBox
Member
Posts: 48
Joined: Sat Sep 06, 2003 6:22 am
Location: Kansas, USA

Post by monkeyBox »

Oops! I see where I went wrong. It was supposed to be LIRC_KERNEL_MODULE_OPTIONS, not LIRC_KERNEL_OPTIONS. :roll: It works now :-)
MartinE75
Member
Posts: 33
Joined: Sat May 08, 2004 2:48 pm
Location: AUSTRIA

Another LIRC problem

Post by MartinE75 »

It seems that minimyth can not load the LIRC settings from my minimyth.conf correctly. I hava an Pinnacle remote and used the pinsys driver of lirc with minimyth 0.18.

When i try to start LIRC with the startup script, i get this error:
Driver `' not supported.

Starting lircd manually with "lircd --driver=pinsys --device=/dev/ttyS0" works and irw can read the remote keypresses.

My settings:
#MM_LIRC_REMOTE=
MM_LIRC_DRIVER='pinsys'
MM_LIRC_DEVICE=/dev/ttyS0
MM_LIRC_KERNEL_MODULE=8250
MM_LIRC_IREXEC_ENABLED=yes

I already tried:
MM_LIRC_DRIVER="pinsys"
MM_LIRC_DRIVER=pinsys

None of these work, always the same error message. Any ideas???

Martin
csnell
New Member
Posts: 2
Joined: Mon Jan 30, 2006 11:34 pm
Location: Sydney, Australia

Overscan not working on minimyth 0.19

Post by csnell »

How exactly are you setting the overscan? It may be that overscan has changed or been broken in the newer OpenChrome drivers.

I am not explicitly setting overscan anywhere.
However, I wasn't setting overscan anywhere on 0.18 either.
There is no setting in the bios for overscan.

So I guess the answer to the question of "where am I setting the overscan" is ... "nowhere".

This used to work before.
Not super fussed, just a minor annoyance - thought that it may be of interest before the official o.19 is released.

- Chris.
Pablo
Site Admin
Posts: 4182
Joined: Tue Dec 14, 2004 2:13 am
Location: La Jolla
Contact:

Post by Pablo »

Alfi wrote:
Pablo wrote:
Alfi wrote:I'm trying to build gar-minimyth version 0.19beta3 with svn 9050, but i'm getting the following error

Code: Select all

i586-minimyth-linux-gnu-g++ -c -I/mnt/hdb/minimyth/gar-minimyth/images/main//usr/include/mysql -L/mnt/hdb/minimyth/gar-minimyth/images/main//usr/lib/mysql -march=pentium-mmx -march=pentium-mmx -pipe -Os -fomit-frame-pointer -ffast-math -Wall -W -O3 -Wall -Wno-switch -march=pentium-mmx -pipe -Os -fomit-frame-pointer -ffast-math -fomit-frame-pointer -I/mnt/hdb/minimyth/gar-minimyth/images/main///usr/include/freetype2 -D_REENTRANT -DPIC -fPIC  -DMMX -Di386 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DPREFIX="//usr" -DLIBDIR="//usr/lib" -D_LARGEFILE_SOURCE -DUSING_OPENGL_VSYNC -DUSING_XV -DUSING_XVMC -DUSING_XVMCW -DUSING_XVMC_VLD -DUSING_FRONTEND -DUSING_BACKEND -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -I/mnt/hdb/minimyth/gar-minimyth/images/main/usr/lib/qt/mkspecs/default -I. -I../../../../../../../../images/main/usr/include -I../../../../../../../../images/main/usr/include -I../.. -I.. -I../libmyth -I../libavcodec -I../libavutil -I../libmythmpeg2 -Idvbdev -Impeg -I../../../../../../../../images/main/usr/include -I../../../../../../../../images/main/usr/lib/qt/include -I../../../../../../../../images/main/usr/include -I../../../../../../../../images/main/usr/include -o tv_play.o tv_play.cpp
In file included from tv_play.cpp:18:
osdtypeteletext.h:90: error: using-declaration for non-member at class scope
osdtypeteletext.h:90: error: expected `;' before '<' token
osdtypeteletext.h:101: error: using-declaration for non-member at class scope
osdtypeteletext.h:101: error: expected `;' before '<' token
make[7]: *** [tv_play.o] Error 1
Any ideas

Regards Alfi
Are you building 9050 or 9056?
I am trying 9050
It is to include the DVB teletext patch
It looks like the problem was reported in http://svn.mythtv.org/trac/ticket/1338. You will need to build at least SVN 9053.[/url]
MartinE75
Member
Posts: 33
Joined: Sat May 08, 2004 2:48 pm
Location: AUSTRIA

LIRC problems

Post by MartinE75 »

After some research i found that this line

Code: Select all

LIRC_DRIVER=`lircd --driver=help 2>&1 | grep -i "$MM_LIRC_DRIVER"`
will result in " pinsys" -> the trailing whitespaces seem to make troubles here.

For the moment, i just commented out this line and used the MM_LIRC_DRIVER on lirc startup as i have no idea how to remove these whitepsaces.


Martin
Pablo
Site Admin
Posts: 4182
Joined: Tue Dec 14, 2004 2:13 am
Location: La Jolla
Contact:

Re: LIRC problems

Post by Pablo »

MartinE75 wrote:After some research i found that this line

Code: Select all

LIRC_DRIVER=`lircd --driver=help 2>&1 | grep -i "$MM_LIRC_DRIVER"`
will result in " pinsys" -> the trailing whitespaces seem to make troubles here.

For the moment, i just commented out this line and used the MM_LIRC_DRIVER on lirc startup as i have no idea how to remove these whitepsaces.


Martin
Thanks. This was pointed out by someone else as well. It has been fixed in perforce and will be fixed in the next release.
johnpullan
Member
Posts: 15
Joined: Tue Feb 28, 2006 1:01 pm

Sound issues with 19 beta 3

Post by johnpullan »

Hi
I'm sure this is probably really obvious etc, but has anyone had any issues getting sound out of beta 3 ?

It all boots up, but I don't get a /dev/dsp device created and so the mixer/audio doesn't work. Any thoughts ?

(My hardware is a 6000M and I'd like analog sound.)

Thanks
--
John
johnpullan
Member
Posts: 15
Joined: Tue Feb 28, 2006 1:01 pm

Re: Post subject: Sound issues with 19 beta 3

Post by johnpullan »

Apologies for that post. I worked it out. I had an old set of db preferences for that particular host which was messing me about.

Thank you for your time
--
John
Post Reply